const express = require("express");
const sqlCon = require("../db/sqlConnect")
const router = express.Router();

router.get("/", async(req,res) => {
  // ?perPage = 
  const perPage = req.query.perPage || 5;
  const page = req.query.page - 1 || 0;
  const skip = page * perPage;
  const category = req.query.category;

  let where = "";
  if(category){
    where += `WHERE sports = '${category}'`
  }

  const myQuery = `SELECT * FROM players ${where} LIMIT ${skip},${perPage}`;
  sqlCon.query(myQuery, (err,results,fields) => {
    if(err){return res.status(502).json({err})}
    // res.json({results,fields});
    res.json(results);
  })

})

module.exports = router;